<?
require_once('tiki-setup.php');
require_once('lib/kb/kblib.php');


// Now check permissions to access this page
if((!isset($tiki_p_browse_kb)) || ($tiki_p_view_kb != 'y')) {
  $smarty->assign('msg',tra("Permission denied: You cannot browse KB pages"));
  $smarty->display("styles/$style_base/error.tpl");
  die;  
}

$kblib = new KBLib($dbTiki,$tikilib);
	
$doctypes_table=$kblib->get_doctypes_table();
$smarty->assign('available_doctypes',$doctypes_table);


if((isset($_REQUEST['open_dt'])) && ($_REQUEST['open_dt'] != ""))
{
	// user has opened one of the doctypes up
	
	$smarty->assign('selected_doctype',$_REQUEST['open_dt']);
	
	// now get the row from the database...
	
	$doctype_row=$kblib->get_doctype_by_name($_REQUEST['open_dt']);
	
	// Now get all the documents with that doctype
	$documents=$kblib->get_kb_assignments_by_doctype($doctype_row['typeid']);
	
	$cat1=array();
	$cat2=array();
	$cat1_seen=array();
	$cat2_seen=array();
	foreach ($documents as $item)
	{
		$row=$kblib->get_category_by_id($item['category1']);
		if(!isset($cat1_seen[$row['categoryname']]))
		{
			$cat1[]=$row['categoryname'];
			$cat1_seen[$row['categoryname']]="yes";
		}
		$row=$kblib->get_category_by_id($item['category2']);
		if(!isset($cat2_seen[$row['categoryname']]))
		{
			$cat2[]=$row['categoryname'];
			$cat2_seen[$row['categoryname']]="yes";
		}
	}
	
	
	$smarty->assign_by_ref('cat1',$cat1);
	
	
	if((isset($_REQUEST['open_cat1'])) && ($_REQUEST['open_cat1'] != ""))
	{
		$smarty->assign_by_ref('cat2',$cat2);
		$smarty->assign('selected_cat1',$_REQUEST['open_cat1']);
		if((isset($_REQUEST['open_cat2'])) && ($_REQUEST['open_cat2'] != ""))
		{
			$smarty->assign('selected_cat2',$_REQUEST['open_cat2']);
			
			// Now, for each document that is in category1 and category2,
			// fetch it's document title from the database.
			$docs_out=array();
			foreach ($documents as $item)
			{
				$row=$kblib->get_category_by_id($item['category1']);
				$c1=$row['categoryname'];
				$row=$kblib->get_category_by_id($item['category2']);
				$c2=$row['categoryname'];
				
				if(($c1 == $_REQUEST['open_cat1']) &&
					($c2 == $_REQUEST['open_cat2']))
				{
					// Now look up document's title
					$item['title']=$kblib->get_doc_title_by_assignment($item);
					$docs_out[]=$item;
				}
			}
			
			$smarty->assign_by_ref('documents',$docs_out);
		}
	}

}




$smarty->assign('mid','tiki-kb_browse.tpl');

$smarty->display("styles/$style_base/tiki.tpl");



?>