<?
require_once('tiki-setup.php');
require_once('lib/kb/kblib.php');

// Now check permissions to access this page
if((!isset($tiki_p_delete_kb)) || ($tiki_p_delete_kb != 'y')) {
  $smarty->assign('msg',tra("Permission denied you cannot delete KB pages"));
  $smarty->display("styles/$style_base/error.tpl");
  die;  
}


$kblib = new KBLib($dbTiki,$tikilib);


if((isset($_REQUEST['docId'])) && ($_REQUEST['docId'] != ""))
{
	$smarty->assign('docid',$_REQUEST['docId']);
}

if((isset($_REQUEST['confirm'])) && ($_REQUEST['confirm'] != ""))
{
	// now actually delete something!
	
	// Flag for remembering what we've done...
	$deleted=0;
	
	// Get the document number from the assignments
	$row=$kblib->get_assignment_row($_REQUEST['docId']);
	if(isset($row['docID']))
	{
		if($kblib->delete_assignment($_REQUEST['docId']))
		{
			$deleted=1;
			switch ($row['doctype'])
			{
				case 'article':
				
					break;
				case 'faq':
				
					break;
				case 'wiki':
				
					break;
				case 'kbdoc':
					if($kblib->delete_kb_document($row['docID']))
						$deleted=2;
					// Even if the actual document deletion fails, we still
					// report success, because we will have removed most
					// of the visibility of the document because the assignment
					// is gone.
					break;
				case 'kbfaq':
					if($kblib->remove_faq($row['docID']))
						$deleted=2;
					break;
				default:
				
					break;
			}
		}
	}
	else
	{
		$smarty->assign('msg',tra("Document ".$_REQUEST['docId']." was not found."));
		$smarty->display("styles/$style_base/error.tpl");
		die;
	}
	
	if($deleted==2)
	{
		$smarty->assign('current_state',"deleted");
	}
	elseif($deleted==1)
	{
		$smarty->assign('current_state',"deleted");
		$smarty->assign('message',"The attributes of the document were deleted, but the document itself could not be removed.");
	}
			
		
}



$smarty->assign('mid','tiki-kb_delete.tpl');

$smarty->display("styles/$style_base/tiki.tpl");


?>